package com.sdut.labex.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.sdut.labex.entity.Experiment;
import com.sdut.labex.utils.ResVo;

/**
 * @author springforest
 * @description 针对表【experiments(实验)】的数据库操作Service
 * @createDate 2023-06-12 08:07:15
 */
public interface ExperimentsService extends IService<Experiment> {
    public ResVo applyExperiment(Experiment experiment);

    public ResVo deleteExperiment(String id);

    public ResVo updateExperiment(Experiment experiment);

    public ResVo getExperiment(String id);

    public ResVo getExperiments(Experiment experiment, int pageNum, int pageSize);

    public ResVo getUnreviewedExperiments();

    public ResVo isAdmitted(int id, int status);
}
